Package org.apache.commons.io.build

# Class AbstractOrigin.IORandomAccessFileOrigin

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOrigin<T,B>
org.apache.commons.io.build.AbstractOrigin.AbstractRandomAccessFileOrigin<IORandomAccessFile,AbstractOrigin.IORandomAccessFileOrigin>
org.apache.commons.io.build.AbstractOrigin.IORandomAccessFileOrigin

All Implemented Interfaces:
  `IOSupplier<IORandomAccessFile>`

Enclosing class:
  AbstractOrigin<T,B extends AbstractOrigin<T,B>>

public static class AbstractOrigin.IORandomAccessFileOrigin extends AbstractOrigin.AbstractRandomAccessFileOrigin<IORandomAccessFile,AbstractOrigin.IORandomAccessFileOrigin>
A `IORandomAccessFile` origin.

Since:
  2.18.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.io.build.AbstractOrigin

  `AbstractOrigin.AbstractRandomAccessFileOrigin<T extends RandomAccessFile,B extends AbstractOrigin.AbstractRandomAccessFileOrigin<T,B>>, AbstractOrigin.ByteArrayOrigin, AbstractOrigin.CharSequenceOrigin, AbstractOrigin.FileOrigin, AbstractOrigin.InputStreamOrigin, AbstractOrigin.IORandomAccessFileOrigin, AbstractOrigin.OutputStreamOrigin, AbstractOrigin.PathOrigin, AbstractOrigin.RandomAccessFileOrigin, AbstractOrigin.ReaderOrigin, AbstractOrigin.URIOrigin, AbstractOrigin.WriterOrigin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IORandomAccessFileOrigin(IORandomAccessFile origin)`
  A `RandomAccessFile` origin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getFile()`
  Gets this origin as a Path, if possible.
  `Path`
  `getPath()`
  Gets this origin as a Path, if possible.

  ### Methods inherited from class org.apache.commons.io.build.AbstractOrigin.AbstractRandomAccessFileOrigin

  `getByteArray, getByteArray, getCharSequence, getInputStream, getOutputStream, getRandomAccessFile, getReader, getWriter, size`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOrigin

  `get, toString`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### IORandomAccessFileOrigin

    public IORandomAccessFileOrigin(IORandomAccessFile origin)
    A `RandomAccessFile` origin.
    Parameters:
      `origin` - The origin.

- ## Method Details

  - ### getFile

    public File getFile()
    Description copied from class: `AbstractOrigin`
    Gets this origin as a Path, if possible.
    Overrides:
      `getFile` in class `AbstractOrigin<IORandomAccessFile,AbstractOrigin.IORandomAccessFileOrigin>`
    Returns:
      this origin as a Path, if possible.

  - ### getPath

    public Path getPath()
    Description copied from class: `AbstractOrigin`
    Gets this origin as a Path, if possible.
    Overrides:
      `getPath` in class `AbstractOrigin<IORandomAccessFile,AbstractOrigin.IORandomAccessFileOrigin>`
    Returns:
      this origin as a Path, if possible.